Package com.emc.d2fs.interfaces

# Interface IExportService

All Superinterfaces:
  `ID2fsService`

public interface IExportService extends ID2fsService
Content export services. Provides export content to excel format.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<ExportFolderEntry>`
  `getExportFolderUrls(Context context, String folderId, boolean nativeFormat, int maxDocumentUrls)`
  Get exportFolderEntries for the folder to export
  `List<ExportFolderEntry>`
  `getExportTicketUrls(Context context, List<String> ticketIds)`
  Get exportFolderEntries for the folder to export
  `String`
  `getExportUrl(Context context, String parentId, String typeName, String colType, String exportType)`
  Get export url for content download
  `void`
  `setBaseUrl(String url)`
  Set server base url used to build the url for `getExportUrl`

  ### Methods inherited from interface com.emc.d2fs.interfaces.ID2fsService

  `isRemote, setRemote`

- ## Method Details

  - ### setBaseUrl

    void setBaseUrl(String url)
    Set server base url used to build the url for `getExportUrl`
    Parameters:
      `url` - String value of base url
    Since:
      4.0.1

  - ### getExportUrl

    String getExportUrl(Context context, String parentId, String typeName, String colType, String exportType) throws Exception
    Get export url for content download
    Parameters:
      `context` - `Context` object containing informations about client/session
      `parentId` - Docid of document to export
      `typeName` - Content type to export. Valid values include: Folder, Locations, Versions, Renditions, Relations, vd, distribution_report, etc.
      `colType` - Columns definition type. Valid values include: default, detail_locations, detail_versions, etc.
      `exportType` - String value of export type. Valid values include: Excel
    Returns:
      String value of export url
    Throws:
      `Exception`
    Since:
      4.0.1

  - ### getExportFolderUrls

    List<ExportFolderEntry> getExportFolderUrls(Context context, String folderId, boolean nativeFormat, int maxDocumentUrls) throws Exception
    Get exportFolderEntries for the folder to export
    Parameters:
      `context` - `Context` object containing informations about client/session
      `folderId` - Id of the folder to export
      `nativeFormat` - force export of the native document rather than its rendition ( default to false )
    Returns:
      a list of `ExportFolderEntry`
    Throws:
      `Exception`
    Since:
      4.2.0

  - ### getExportTicketUrls

    List<ExportFolderEntry> getExportTicketUrls(Context context, List<String> ticketIds) throws Exception
    Get exportFolderEntries for the folder to export
    Parameters:
      `context` - `Context` object containing informations about client/session
      `ticketIds` - File ticket Ids to export
    Returns:
      a list of `ExportFolderEntry`
    Throws:
      `Exception`
    Since:
      4.2.1